<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__override" kind="group">
    <compoundname>group_hal_override</compoundname>
    <title>Overrideable Macros</title>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__override_1gad822a466fc63847114add720ef84c83a" kind="define" prot="public" static="no">
        <name>CYHAL_ISR_PRIORITY_DEFAULT</name>
        <initializer>(7) /* TODO: port specific value */</initializer>
        <briefdescription>
<para>Priority that is applied by default to all drivers when initalized. </para>        </briefdescription>
        <detaileddescription>
<para>Priorities can be overridden on each driver as part of enabling events. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="54" column="9" file="hal/template/cyhal_hw_types_template.h" line="54" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>These macros can be defined to a custom value globally to modify the behavior of the HAL. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>